grk::CompressorState Struct Reference

`#include <CodingParams.h>`

## Public Member Functions

| CompressorState ()

## Public Attributes

uint16_t | total_tile_parts_
| Total num of tile parts in whole image = num tiles* num tileparts in each tile.

## Constructor & Destructor Documentation

## CompressorState()

grk::CompressorState::CompressorState | ( |  | ) |

inline

## Member Data Documentation

## total_tile_parts_

uint16_t grk::CompressorState::total_tile_parts_

Total num of tile parts in whole image = num tiles* num tileparts in each tile.

used in TLMmarker

Referenced by grk::CodeStreamCompress::init_header_writing(), and grk::CodeStreamCompress::write_tlm_begin().

The documentation for this struct was generated from the following file:

- CodingParams.h